petsc-3.10.5 2019-03-28
Report Typos and Errors

# VecScatterEnd

Ends a generalized scatter from one vector to another. Call after first calling VecScatterBegin().

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecScatterEnd(VecScatter ctx,Vec x,Vec y,InsertMode addv,ScatterMode mode)

Neighbor-wise Collective on VecScatter and Vec

### Input Parameters

| ctx | - scatter context generated by VecScatterCreate()
| x | - the vector from which we scatter
| y | - the vector to which we scatter
| addv | - either ADD_VALUES or INSERT_VALUES.
| mode | - the scattering mode, usually SCATTER_FORWARD. The available modes are: SCATTER_FORWARD, SCATTER_REVERSE

### Notes

If you use SCATTER_REVERSE the arguments x and y should be reversed, from the SCATTER_FORWARD.

y[iy[i]] = x[ix[i]], for i=0,...,ni-1

### See Also

VecScatterBegin(), VecScatterCreate()

### Level

intermediate

### Location

src/vec/vscat/interface/vscatfce.c

### Examples

src/vec/vec/utils/tagger/examples/tutorials/ex1.c.html
src/dm/examples/tutorials/ex2.c.html
src/dm/examples/tutorials/ex6.c.html
src/ksp/ksp/examples/tutorials/ex43.c.html
src/ksp/ksp/examples/tutorials/ex49.c.html
src/tao/pde_constrained/examples/tutorials/elliptic.c.html
src/tao/pde_constrained/examples/tutorials/parabolic.c.html
src/tao/pde_constrained/examples/tutorials/hyperbolic.c.html
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages